const crypto = require('crypto');
function generateSimulatedHash(difficulty) {
    let data;

    if (difficulty === 'gentil') {
        data = crypto.randomBytes(16).toString('hex'); // Mode gentil (faible complexité)
    } else if (difficulty === 'normal') {
        data = crypto.randomBytes(1000).toString('hex'); // Mode normal (moyenne complexité)
    } else if (difficulty === 'agressif') {
        data = crypto.randomBytes(1000).toString('hex'); // Mode agressif (haute complexité)
    }

    const hash = crypto.createHash('md5').update(data).digest('hex');
    return hash;
}

module.exports = {
    generateSimulatedHash,
};